cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Your Friends List is a way to easily have access to the community members that you interact with the most! X

Display drawing in CREO Window from Session memory

PARTHIBAN_K
15-Moonstone

Display drawing in CREO Window from Session memory

I tried to display drawing which available in session using following commands,

ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,NULL);

ProMdlDisplay (drawing);

Drawing  displayed in CREO.Window, but hangs the session.

Please suggest me to solve this issue.


This thread is inactive and closed by the PTC Community Management Team. If you would like to provide a reply and re-open this thread, please notify the moderator and reference the thread. You may also use "Start a topic" button to ask a new question. Please be sure to include what version of the PTC product you are using so another community member knowledgeable about your version may be able to assist.
Parthiban Kannan

href="https://www.linkedin.com/in/parthiban-kannan/" target="_blank"
1 ACCEPTED SOLUTION

Accepted Solutions

In ProObjectwindowCreate function try to replace the NULL variable (last variable) with an integer:

ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);

Also I usually call ProVindowCurrentSet and ProWindowActivate after ProMdlDisplay. It should look something like this:

ProMdlNameGet(drawing,new_dwg_name);

ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);

ProMdlDisplay(drawing);

ProWindowCurrentSet(win_id);

ProWindowActivate(win_id);

View solution in original post

2 REPLIES 2

In ProObjectwindowCreate function try to replace the NULL variable (last variable) with an integer:

ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);

Also I usually call ProVindowCurrentSet and ProWindowActivate after ProMdlDisplay. It should look something like this:

ProMdlNameGet(drawing,new_dwg_name);

ProObjectwindowCreate(new_dwg_name,PRO_DRAWING,&win_id);

ProMdlDisplay(drawing);

ProWindowCurrentSet(win_id);

ProWindowActivate(win_id);

Hello Gabriel,

Your Code works fine. Thank you very much and also thanks for the Setting & Activating the Current window Tips.

Parthiban Kannan

href="https://www.linkedin.com/in/parthiban-kannan/" target="_blank"
Top Tags